***********************************
***   		Data maker			***
***********************************

qui cret li
cd "`r(cmd)'"

use data_raw, clear

local m "bof bom neum reimers cotton brown dummy "

foreach vars in `m'{
replace adj_gap = `vars' if `vars'!=.

replace method= "`vars'" if `vars'!=.
gen d`vars' = `vars'!=.
label var d`vars' "Dummy if `vars'"
}


foreach name in JMP Leumieux QR RIF mm{
gen d`name' =	 newmet	=="`vars'"
replace new	=	0 if newmet	=="`vars'"
}

replace dQR =	1 if newmet == "QR HECK"
replace new	=	0 if newmet=="QR HECK"
rename new other_met
replace method = newmet if newmet!=""

*replace adj_gap = adj_gap* n/(n*(1+adj_gap)-f*adj_gap) if method!="dummy" & f!=. & n!=. 

replace authsex	= authsex/100 if added==1	
rename dLeumieux dLemieux

gen no_hour	=	wagem<3 | wagem>7 & wagem!=.
gen hour_c	=	wagem==4 | wagem==5 | wagem== 6 | wagem==7
gen gross_w	=	gross==1
gen wage_m	=	gross==.

gen private =	priv==1
gen public 	=	priv==2

gen no_marr	=	single==1
gen marr	=	single==2

gen full_t	=	partt==0

gen ols		=	meth==0
gen heck	=	meth==1
gen panel	=	meth==2
gen iv		=	meth==3

gen l_occ	=	occii==0
gen m_occ	=	occii==1
gen h_occ	=	occii==2

gen minor	=	min==1
gen major	=	min==2

gen fullt	=	partt==0

gen act_exp	=	exp==0
gen pot_exp	=	exp==1
gen no_exp	=	exp==2
gen min2	=	race==1 & immig==1



gen urb_m	=	urban==.	
gen reg_m	=	reg ==.
gen sex_m	=	authsex==.   // unknow authors gender

gen eastg	= count=="East Germany"

gen the60	= year<1970
gen the70	= year>1969 & year<1980
gen the80	= year>1979 & year<1990
gen the90 	= year>1989 

gen qlow	=	q<0.30
gen qhigh	=	q<0.70

gen usa		=	c_code=="usa"
gen europe	= 0
foreach var in AUT BGR CHE CYP CZE DNK ESP GBR HUN IRL ITA NLD NOR POL PRT SLV SVN SWE{
replace euro =1 if c_code=="`var'"
}
gen oecd 	= 0
foreach var in AUS CAN CHL ISR JPN MEX NZL {
replace oecd =1 if c_code=="`var'"
}

gen row = oecd==0 & usa==0 & euro ==0

gen regions = 1
replace regions= 2 if europe==1
replace regions= 3 if oecd	==1
replace regions= 4 if row	==1

label define where 1 "USA" 2"EU" 3 "Other OECD" 4 "Rest of the World"
label val regions where

gen gdp_pc2=gdp_pc/10000

bysort no c_code year: gen first = _n ==1
egen aux4= total(first), by(no c_code year)
sum aux4
drop aux4
gen narrow	=	occi==2

* Labels for the variables.
do labels

* Dependent variables.
do imp_vars

exit
